slepc-3.21.1 2024-04-26
Report Typos and Errors

# STGetType

Gets the ST type name (as a string) from the ST context.

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STGetType(ST st,STType *type)

Not Collective

### Input Parameter

| st | - the spectral transformation context

### Output Parameter

| type | - name of the spectral transformation

### See Also

STSetType()

### Level

intermediate

### Location

src/sys/classes/st/interface/stset.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages